Subject: Re: bug#37015: man link gives me car: Variable binding depth exceeds max-specpdl-size

From: Jean Louis <[email-masked]>
Date: Mon, 19 Aug 2019 00:58:42 +0200

* Robert Weiner <[email-masked]> [2019-08-19 00:07]:
> On Sun, Aug 18, 2019 at 2:48 PM Jean Louis <[email-masked]> wrote:
> 
> > * Robert Weiner <[email-masked]> [2019-08-18 19:30]:
> > > On Mon, Aug 12, 2019 at 6:16 PM Jean Louis <[email-masked]> wrote:
> > >
> > > > I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X
> > > > toolkit, Xaw3d scroll bars)
> > > >
> > > >         Hyperbole:   7.0.3a
> > > >         Sys Type:    x86_64-pc-linux-gnu
> > > >         OS Type:     gnu/linux
> > > >         Window Sys:  x
> > > >         News Reader: Gnus v5.13
> > > >
> > > > Making completion list...
> > > > <(Read)> executes (man-show grep)
> > > >
> > >
> > > I created this exact explicit button in my HYPB global button file,
> > didn't
> > > even save the file, activated the button and it displayed the man page
> > > perfectly (Hyperbole 7.0.3b under MacOS).
> >
> > Just look at this video:
> > https://gnu.support/files/tmp/2019-08-18/2019-08-18-20:39:26.ogv
> 
> 
> I watched it.  That was helpful.  'emacs -Q' still runs your personal init
> file and just suppresses loading the site init.  Try 'emacs -q' and
> manually load hload-path.el and hyperbole.el from the ${hyperb:dir}
> main Hyperbole directory and then see what happens.

I can guarantee that emacs -Q does not run my personal init file.

And I have tried it now with emacs -q and exactly with your settings,
I get the same result, same problem.

For reference:

--no-init-file, -q          load neither ~/.emacs nor default.el

--quick, -Q                 equivalent to:
                              -q --no-site-file --no-site-lisp --no-splash
                              --no-x-resources

Thus -Q is equal to -q with even less stuff. Both will not load user's
init file.

> Make sure you have debug-on-error set to t in case you can get a stack
> backtrace generated.

I do not get any debug on error when it is turned on when I activate
the explicit button, but I get that error again.

I cannot know what is wrong. I am using that development version of
Emacs, maybe there something.

Jean